Plugin Erweiterung und PHP 7.2,7.3,7.4 Problem?

Shorty1968

Erfahrenes Mitglied
Hallo ich habe in meinem wBB 4 mit einem Plugin und den PHP 7.2,7.3,7.4 Versionen ein Problem und hoffe es mit eurer Hilfe beheben zu können, leider werde ich aus der Fehlermeldung nicht wirklich schlau was genau angemeckert wird.
Fri, 11 Sep 2020 02:55:59 +0000
Message: PHP warning in file /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/templates/compiled/0_cmp_1_category.php (861):
count(): Parameter must be an array or an object that implements Countable
File: /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/lib/system/WCF.class.php (309) :
PHP version: 7.4.10
WCF version: 2.1.24 pl 2 (Typhoon)
Request URI: /cmp/index.php?category/10-jobangebote/&type=offer
Referrer:
User-Agent: Mozilla/5.0 (compatible; Googlebot/2.1; +Googlebot - Search Console Help)
Information: ""
Stacktrace:
#0 /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/templates/compiled/0_cmp_1_category.php(861): wcf\system\WCF::handleError()
#1 /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/lib/system/template/TemplateEngine.class.php(323): include('/var/www/vhosts...')
#2 /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/lib/page/AbstractPage.class.php(305): wcf\system\template\TemplateEngine->display()
#3 /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/lib/page/AbstractPage.class.php(100): wcf\page\AbstractPage->show()
#4 /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/lib/system/request/Request.class.php(58): wcf\page\AbstractPage->__run()
#5 /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/lib/system/request/RequestHandler.class.php(139): wcf\system\request\Request->execute()
#6 /var/www/vhosts/computer-fun-area.de/httpdocs/cmp/index.php(10): wcf\system\request\RequestHandler->handle()
#7 {main}
Zeile 861: <?php if (count($this->v['categoryNodeList'])) { ?>
count(): Parameter must be an array or an object that implements Countable

Zeile 309: throw new SystemException('PHP '.$type.' in file '.$filename.' ('.$lineNo.'): '.$message, 0);
 

Shorty1968

Erfahrenes Mitglied
Danke leider gibt es den Entwickler dieses Plugins nicht mehr, deshalb versuche ich es hier.
Leider finde ich auch anhand der Meldung nicht die Datei, in der der Fehler sein soll.
 

m.scatello

Erfahrenes Mitglied
Wenn es den Entwickler nicht mehr gibt, dann kann man davon ausgehen, dass das Plugin nicht mehr kompatibel zu den neuesten WordPress- und PHP-Versionen ist und somit in die Tonne gehört.
 

m.scatello

Erfahrenes Mitglied
Das steht doch in der Fehlermeldung!

PHP warning in file /var/www/vhosts/computer-fun-area.de/httpdocs/wcf/templates/compiled/0_cmp_1_category.php (861)